#include "incoming.h"

#include <cstdio>
#include <cstdlib>
#include <exception>
#include <thread>

int main(int argc, char** argv) {
	int port;
	if ((argc != 2) || ((port = atoi(argv[1])) == 0)) {
		printf("pouziti programu: program cislo_portu\n");
		return -1;
	}

	printf("posloucham na portu %d...\n", port);


	try {
		CIncoming incoming(port);

		std::thread thread(&CIncoming::Recieve, &incoming);
		
		getchar();

		incoming.Stop();

		thread.join();
	}
	catch (std::exception& e) {
		printf("chyba: %s", e.what());
	}


	return 0;
}