#pragma once

#ifdef _WIN32
	#include <winsock2.h>

	typedef int  socklen_t;
#else
	#include <sys/socket.h>
	#include <netinet/in.h>
	#include <unistd.h>

	typedef int SOCKET;
	#define INVALID_SOCKET  (SOCKET)(~0)
	#define SOCKET_ERROR            (-1)

	#define closesocket close
#endif

class CNetStack {
public:
	CNetStack();

	~CNetStack();
};

extern const CNetStack netStackHelper;

void ThrowLastSystemError();